const powerBtn = document.getElementById('powerBtn');
const volUpBtn = document.getElementById('volUpBtn');
const volDownBtn = document.getElementById('volDownBtn');
const channelUpBtn = document.getElementById('channelUpBtn');
const channelDownBtn = document.getElementById('channelDownBtn');
const muteBtn = document.getElementById('muteBtn');
const numBtns = document.getElementsByClassName('numBtn');
const infoBtn = document.getElementById('infoBtn');
const menuBtn = document.getElementById('menuBtn');
const display = document.getElementById('display');

let isPowerOn = false;
let volume = 50;
let channel = 1;
let isMuted = false;

powerBtn.addEventListener('click', togglePower);
volUpBtn.addEventListener('click', increaseVolume);
volDownBtn.addEventListener('click', decreaseVolume);
channelUpBtn.addEventListener('click', increaseChannel);
channelDownBtn.addEventListener('click', decreaseChannel);
muteBtn.addEventListener('click', toggleMute);
for (let btn of numBtns) {
  btn.addEventListener('click', setChannel);
}
infoBtn.addEventListener('click', showInfo);
menuBtn.addEventListener('click', showMenu);

function togglePower() {
  isPowerOn = !isPowerOn;
  display.textContent = isPowerOn ? 'TV is on' : 'TV is off';
}

function increaseVolume() {
  if (isPowerOn && !isMuted) {
    volume = Math.min(volume + 10, 100);
    display.textContent = `Current volume: ${volume}%`;
  }
}

function decreaseVolume() {
  if (isPowerOn && !isMuted) {
    volume = Math.max(volume - 10, 0);
    display.textContent = `Current volume: ${volume}%`;
  }
}

function increaseChannel() {
  if (isPowerOn) {
    channel = (channel % 100) + 1;
    display.textContent = `Current Channel: ${channel}`;
  }
}

function decreaseChannel() {
  if (isPowerOn) {
    channel = channel === 1 ? 100 : channel - 1;
    display.textContent = `Current Channel: ${channel}`;
  }
}

function toggleMute() {
  if (isPowerOn) {
    isMuted = !isMuted;
    display.textContent = isMuted ? 'Muted' : `Current volume: ${volume}%`;
  }
}

function setChannel(event) {
  if (isPowerOn) {
    const newChannel = parseInt(event.target.textContent);
    if (newChannel >= 1 && newChannel <= 100) {
      channel = newChannel;
      display.textContent = `Current Channel: ${channel}`;
    }
  }
}

function showInfo() {
  if (isPowerOn) {
    display.textContent = `Current Channel: ${channel}, volume: ${volume}%`;
  }
}

function showMenu() {
  if (isPowerOn) {
    display.textContent = 'Menu interface...';
  }
}
